Clients

Update Password

PATCH
/api/v2/clients/{client}/password

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

client*integer

Client ID

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v2/clients/1/password" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "password": "Qwerty123",    "send_mail": true  }'
Empty
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}